GET api/ExecutiveReport/GetExecutiveReportSummary?EmployerAntiFishingKey={EmployerAntiFishingKey}&ReportAntiFishingKey={ReportAntiFishingKey}&ID={ID}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| EmployerAntiFishingKey | string |
None. |
|
| ReportAntiFishingKey | string |
None. |
|
| ID | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
ExecutiveReportSummaryOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Title | string |
None. |
|
| GeneratedOn | string |
None. |
|
| Reports | Collection of ReportSummary |
None. |
Response Formats
application/json, text/json
Sample:
{
"title": "sample string 1",
"generatedOn": "sample string 2",
"reports": [
{
"id": 1,
"title": "sample string 2",
"antiFishingKey": "sample string 3",
"antiFishingEmployerName": "sample string 4"
},
{
"id": 1,
"title": "sample string 2",
"antiFishingKey": "sample string 3",
"antiFishingEmployerName": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<ExecutiveReportSummaryOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public">
<GeneratedOn>sample string 2</GeneratedOn>
<Reports>
<ReportSummary>
<antiFishingEmployerName>sample string 4</antiFishingEmployerName>
<antiFishingKey>sample string 3</antiFishingKey>
<id>1</id>
<title>sample string 2</title>
</ReportSummary>
<ReportSummary>
<antiFishingEmployerName>sample string 4</antiFishingEmployerName>
<antiFishingKey>sample string 3</antiFishingKey>
<id>1</id>
<title>sample string 2</title>
</ReportSummary>
</Reports>
<Title>sample string 1</Title>
</ExecutiveReportSummaryOutput>